> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get equity vol time series



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetEquityVolTimeSeries
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetEquityVolTimeSeries:
    post:
      tags:
        - MarketData
      summary: Get equity vol time series
      operationId: GetEquityVolTimeSeries
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetEquityVolTimeSeriesRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetEquityVolTimeSeriesRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetEquityVolTimeSeriesRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetEquityVolTimeSeriesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetEquityVolTimeSeriesResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetEquityVolTimeSeriesRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        maturity: 6
        identifiers:
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
          - code: code
            market_identification_code: market_identification_code
            identifier_type: Derivitec
        strike: 0.8008281904610115
        strike_type: absolute
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        identifiers:
          items:
            $ref: '#/components/schemas/InstrumentIdentifier'
          nullable: true
          type: array
        start_date:
          format: date-time
          type: string
        end_date:
          format: date-time
          type: string
        strike:
          format: double
          type: number
        maturity:
          format: int32
          type: integer
        strike_type:
          enum:
            - absolute
            - logarithmic
            - normalized
            - logarithmic_spot
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetEquityVolTimeSeriesRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetEquityVolTimeSeriesResponse:
      example:
        volatility_data: ''
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        volatility_data:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetEquityVolTimeSeriesResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````